/*
 *  Copyright 2006 Guillermo Castro
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *  
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 */
package org.javageek.wicket;

import wicket.Component;
import wicket.model.AbstractReadOnlyModel;
import domain.BlogEntry;

public class BlogEntryModel extends AbstractReadOnlyModel {

	private String id;

	private transient BlogEntry entry;

	public BlogEntryModel(BlogEntry entry) {
		super();
		this.entry = entry;
		id = entry.getId();
	}

	@Override
	public Object getObject(Component arg0) {
		if (entry == null) {
			entry = BlogApplication.instance().getBlog().getBlogEntry(id);
		}
		return entry;
	}

	@Override
	public void detach() {
		entry = null;
	}

}
