/*
 *  Copyright 2006 Guillermo Castro
 *  
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *  
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *  
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 */
package org.javageek.wicket;

import java.text.DateFormat;

import wicket.PageParameters;
import wicket.RestartResponseException;
import wicket.markup.html.basic.Label;
import domain.Blog;
import domain.BlogEntry;

/**
 * @author Guillermo Castro
 */
public class ViewBlogEntry extends BasePage {

	/**
	 * 
	 */
	public ViewBlogEntry(PageParameters parameters) {
		super();

		Blog blog = getBlog();

		BlogEntry entry = blog.getBlogEntry(parameters.getString("id"));
		if (null == entry) {
			throw new RestartResponseException(PageNotFound.class);
		} else {
			add(new Label("entryTitle", entry.getTitle()));
			add(new Label("entryBody", entry.getBody()).setEscapeModelStrings(false));

			add(new Label("pageTitle", entry.getTitle() + " : " + blog.getName()));

			DateFormat df = DateFormat.getDateTimeInstance(DateFormat.LONG, DateFormat.LONG, getBlog().getLocale());
			add(new Label("entryDate", df.format(entry.getDate())));

		}
	}

}
